| PagerTest::$modules |
property |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
|
| PagerTest::$modules |
property |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
|
| PagerTest::$testViews |
property |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Views used by this test. |
| PagerTest::assertClass |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Asserts that an element has a given class. |
| PagerTest::assertNoClass |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Asserts that an element does not have a given class. |
| PagerTest::assertPagerItems |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Asserts pager items and links. |
| PagerTest::createTranslation |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Creates single translation for source string. |
| PagerTest::createViewAtPath |
function |
core/modules/views/tests/src/Functional/Wizard/PagerTest.php |
Create a simple View of nodes at a given path. |
| PagerTest::setUp |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
|
| PagerTest::testActiveClass |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Tests markup and CSS classes of pager links. |
| PagerTest::testLimit |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests the some pager plugin. |
| PagerTest::testMultiplePagers |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Tests proper functioning of multiple pagers. |
| PagerTest::testNoLimit |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests the none-pager-query. |
| PagerTest::testNormalPager |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests the normal pager. |
| PagerTest::testPager |
function |
core/modules/views/tests/src/Functional/Wizard/PagerTest.php |
Tests the pager option. |
| PagerTest::testPagerApi |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests the api functions on the view object. |
| PagerTest::testPagerConfigTranslation |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests translating the pager using config_translation. |
| PagerTest::testPagerEllipsis |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Tests proper functioning of the ellipsis. |
| PagerTest::testPagerHeadingLevel |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests changing the heading level. |
| PagerTest::testPagerLocale |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests translating the pager using locale. |
| PagerTest::testPagerQueryParametersAndCacheContext |
function |
core/modules/system/tests/src/Functional/Pager/PagerTest.php |
Tests pager query parameters and cache context. |
| PagerTest::testRenderNullPager |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests rendering with NULL pager. |
| PagerTest::testStorePagerSettings |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Pagers was sometimes not stored. |
| PagerTest::testViewTotalRowsWithoutPager |
function |
core/modules/views/tests/src/Functional/Plugin/PagerTest.php |
Tests the total row count in a view without a pager. |
| PagerTestController |
class |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Controller routine for testing the pager. |
| PagerTestController.php |
file |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
|
| PagerTestController::$pagerParams |
property |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
The pager request service. |
| PagerTestController::buildTestTable |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Builds a render array for a multi-page test table. |
| PagerTestController::multiplePagers |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Returns a page with multiple pagers. |
| PagerTestController::queryParameters |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Returns a pager with 'parameters' variable. |
| PagerTestController::showPagerCacheContext |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Render API callback: Shows the pager cache context for type pager. |
| PagerTestController::trustedCallbacks |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
|
| PagerTestController::__construct |
function |
core/modules/system/tests/modules/pager_test/src/Controller/PagerTestController.php |
Construct a new PagerTestController object. |
| PagerTestThemeHooks |
class |
core/modules/system/tests/modules/pager_test/src/Hook/PagerTestThemeHooks.php |
Hook implementations for pager_test. |
| PagerTestThemeHooks.php |
file |
core/modules/system/tests/modules/pager_test/src/Hook/PagerTestThemeHooks.php |
|
| PagerTestThemeHooks::preprocessPager |
function |
core/modules/system/tests/modules/pager_test/src/Hook/PagerTestThemeHooks.php |
Implements hook_preprocess_HOOK(). |
| pager_test.info.yml |
file |
core/modules/system/tests/modules/pager_test/pager_test.info.yml |
core/modules/system/tests/modules/pager_test/pager_test.info.yml |
| pager_test.routing.yml |
file |
core/modules/system/tests/modules/pager_test/pager_test.routing.yml |
core/modules/system/tests/modules/pager_test/pager_test.routing.yml |
| PageTest |
class |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
Tests the content of the progress page. |
| PageTest |
class |
core/modules/views/tests/src/Unit/Plugin/display/PageTest.php |
Tests Drupal\views\Plugin\views\display\Page. |
| PageTest.php |
file |
core/modules/views/tests/src/Unit/Plugin/display/PageTest.php |
|
| PageTest.php |
file |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
|
| PageTest::$defaultTheme |
property |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
|
| PageTest::$modules |
property |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
|
| PageTest::testBatchProgressMessages |
function |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
Tests that the progress messages are correct. |
| PageTest::testBatchProgressPageTheme |
function |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
Tests that the batch API progress page uses the correct theme. |
| PageTest::testBatchProgressPageTitle |
function |
core/modules/system/tests/src/Functional/Batch/PageTest.php |
Tests that the batch API progress page shows the title correctly. |
| PageTest::testBuildBasicRenderable |
function |
core/modules/views/tests/src/Unit/Plugin/display/PageTest.php |
Tests build basic renderable. |
| PageTest::testBuildBasicRenderableWithMissingRoute |
function |
core/modules/views/tests/src/Unit/Plugin/display/PageTest.php |
Tests build basic renderable with missing route. |
| PageTitleTest |
class |
core/modules/system/tests/src/Functional/System/PageTitleTest.php |
Tests HTML output escaping of page title, site name, and slogan. |